org.eclipse.cdt.core.dom.parser

## Interface IScannerExtensionConfiguration

All Known Implementing Classes:
  AbstractScannerExtensionConfiguration, GCCScannerExtensionConfiguration, GNUScannerExtensionConfiguration, GPPScannerExtensionConfiguration, POPCPPScannerExtensionConfiguration

    public interface IScannerExtensionConfiguration

Scanner extension configuration interface.

Restriction:
  This interface is not intended to be implemented by clients. Clients can subclass `AbstractScannerExtensionConfiguration`, instead.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`CharArrayIntMap` `getAdditionalKeywords()` Support for additional keywords.
`IMacro[]` `getAdditionalMacros()` Support for additional macros.
`CharArrayIntMap` `getAdditionalPreprocessorKeywords()` Support for additional preprocessor directives.
`boolean` `initializeMacroValuesTo1()` Deprecated. empty macros are taken as they are. It is the task of configuration to provide the correct values. See https://bugs.eclipse.org/bugs/show_bug.cgi?id=215789
`boolean` `support$InIdentifiers()` Support for GNU extension "Dollar Signs in Identifier Names".
`char[]` `supportAdditionalNumericLiteralSuffixes()` Support for additional numeric literal suffix characters, like e.g.
`boolean` `supportAtSignInIdentifiers()` Support for extension "At Signs in Identifier Names".
`boolean` `supportDigitSeparators()` Support for C++14 digit separators in integer literals
`boolean` `supportMinAndMaxOperators()` Support for (deprecated) GNU minimum and maximum operators (`<?` and `>?`).
`boolean` `supportRawStringLiterals()` Support for C++ raw string literals.
`boolean` `supportSlashPercentComments()` Support for block-comments comments using /% %/.
`boolean` `supportUserDefinedLiterals()` Support for User Defined Literals such as 123_suffix
`boolean` `supportUTFLiterals()` Support for UTF string literals.

### Method Detail

#### initializeMacroValuesTo1

    @Deprecated
    boolean initializeMacroValuesTo1()

Deprecated. empty macros are taken as they are. It is the task of configuration to provide the correct values. See https://bugs.eclipse.org/bugs/show_bug.cgi?id=215789

Restriction:
  This method is not intended to be referenced by clients.

#### support$InIdentifiers

    boolean support$InIdentifiers()

Support for GNU extension "Dollar Signs in Identifier Names".

Returns:
  `true`, if $ should be supported in identifiers
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/Dollar-Signs.html"

#### supportAtSignInIdentifiers

    boolean supportAtSignInIdentifiers()

Support for extension "At Signs in Identifier Names". If enabled, the '@' sign is treated as part of identifiers.

Returns:
  `true`, if @ should be supported in identifiers
Since:
  5.1

#### supportSlashPercentComments

    boolean supportSlashPercentComments()

Support for block-comments comments using /% %/.

Returns:
  `true`, if /% should be interpreted as the start of a block-comment which is ended by %/
Since:
  5.1

#### supportMinAndMaxOperators

    boolean supportMinAndMaxOperators()

Support for (deprecated) GNU minimum and maximum operators (`<?` and `>?`).

Returns:
  `true` if support for the extension should be enabled
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/Deprecated-Features.html"

#### supportAdditionalNumericLiteralSuffixes

    char[] supportAdditionalNumericLiteralSuffixes()

Support for additional numeric literal suffix characters, like e.g. 'i' and 'j' for GNU Complex number literals.

Returns:
  an array of chars or `null`, if no additional suffixes should be allowed
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/Complex.html"

#### getAdditionalKeywords

    CharArrayIntMap getAdditionalKeywords()

Support for additional keywords.

Returns:
  a mapping of keyword name to one of the constants defined in `IToken` or `null` for no additional keywords.

#### getAdditionalMacros

    IMacro[] getAdditionalMacros()

Support for additional macros.

Returns:
  an array of macros or `null` for no additional macros.

#### getAdditionalPreprocessorKeywords

    CharArrayIntMap getAdditionalPreprocessorKeywords()

Support for additional preprocessor directives.

Returns:
  a mapping of preprocessor directive keyword to one of the constants defined in `IPreprocessorDirective` or `null` for no additional keywords.

#### supportUTFLiterals

    boolean supportUTFLiterals()

Support for UTF string literals.

Since:
  5.1
See Also:
  "http://publib.boulder.ibm.com/infocenter/comphelp/v101v121/index.jsp?topic=/com.ibm.xlcpp101.aix.doc/language_ref/unicode_standard.html"

#### supportRawStringLiterals

    boolean supportRawStringLiterals()

Support for C++ raw string literals.

Since:
  5.5

#### supportUserDefinedLiterals

    boolean supportUserDefinedLiterals()

Support for User Defined Literals such as 123_suffix

Since:
  5.11

#### supportDigitSeparators

    boolean supportDigitSeparators()

Support for C++14 digit separators in integer literals

Since:
  6.5